%if 0%{suse_version} > 1120
%define xulrunner_ver 192
%else
%if 0%{suse_version} > 1110
%define xulrunner_ver 191
%else
%if 0%{suse_version} >= 1100
%define xulrunner_ver 190
%else
%define xulrunner_ver 181
%endif
%endif
%endif

%define pulseplugin 0%{suse_version} > 1100
%define with_mozilla %{xulrunner_ver} >= 192
%define withxcb 0%{suse_version} > 1111
%define libvlc 5
%define libvlccore 5
%define conflicts vlc

Summary:        VLC - Video Lan Client (preview of the upcoming version)
Name:           vlc-beta
Version:        1.2.0
Release: 2010081502.1
Source:         vlc-beta-%{version}.tar.bz2
Patch1:         fix_font_path.patch
Patch3:         0001-no-return-in-non-void.patch
License:        GPL v2
Group:          Productivity/Multimedia/Video/Players	
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  aalib-devel
BuildRequires:  alsa-devel
BuildRequires:  avahi-devel
BuildRequires:  csri-devel
BuildRequires:  faad2-devel
BuildRequires:  fdupes
BuildRequires:  flac-devel
BuildRequires:  fluidsynth-devel
BuildRequires:  freetype2-devel
BuildRequires:  fribidi-devel
BuildRequires:  gcc-c++
BuildRequires:  gettext-devel
BuildRequires:  gnome-vfs2-devel
BuildRequires:  gnutls-devel
BuildRequires:  liba52-devel
BuildRequires:  libasa-devel
BuildRequires:  libass-devel
BuildRequires:  libavc1394-devel
BuildRequires:  libcaca-devel
BuildRequires:  libcddb-devel
BuildRequires:  libcdio-devel
BuildRequires:  libdc1394_control12-devel
BuildRequires:  libdc1394-devel
BuildRequires:  libdca-devel
BuildRequires:  libdvbpsi-devel 
BuildRequires:  libdvdnav-devel 
BuildRequires:  libdvdread-devel 
BuildRequires:  libfaac-devel 
BuildRequires:  libffmpeg-devel 
BuildRequires:  libjack-devel
BuildRequires:  libkate-devel
BuildRequires:  libmad-devel 
BuildRequires:  libmatroska-devel
BuildRequires:  libmodplug-devel
BuildRequires:  libmpeg2-devel 
BuildRequires:  libmtp-devel
BuildRequires:  libnotify-devel 
BuildRequires:  libogg-devel 
%if 0%{suse_version} >= 1120
BuildRequires:  libproxy-devel 
%endif
BuildRequires:  libqt4-devel
BuildRequires:  libraw1394-devel
BuildRequires:  librsvg-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  libshout-devel
BuildRequires:  libsmbclient-devel
BuildRequires:  libtheora-devel
%if 0%{suse_version} > 1100 
BuildRequires:  libudev-devel
%endif
BuildRequires:  libupnp-devel
%if 0%{suse_version} > 1100
BuildRequires:  libv4l-devel
%endif
%if 0%{?suse_version} >= 1120
BuildRequires:  libva-devel
%endif
BuildRequires:  libvorbis-devel 
BuildRequires:  libx264-devel
BuildRequires:  libxml2-devel 
BuildRequires:  libxvidcore-devel 
BuildRequires:  lirc-devel
BuildRequires:  live555
BuildRequires:  lua-devel 
BuildRequires:  Mesa-devel
BuildRequires:  ncurses-devel
BuildRequires:  pcre-devel
BuildRequires:  portaudio-devel
BuildRequires:  pulseaudio-devel
BuildRequires:  schroedinger-devel 
%if 0%{suse_version} < 1120
BuildRequires:  SDL-devel
%else
BuildRequires:  libSDL-devel
%endif
BuildRequires:  slang-devel
BuildRequires:  speex-devel
BuildRequires:  taglib-devel 
BuildRequires:  vcdimager-devel 
BuildRequires:  xosd-devel 
BuildRequires:  zvbi-devel

%if %{with_mozilla}
BuildRequires:  mozilla-xulrunner%{xulrunner_ver}-devel
%endif

# BuildRequires that are not actively used for VLC, but for the build itself to work smoothly
BuildRequires:  findutils 
BuildRequires:  kde4-filesystem
BuildRequires:  update-desktop-files

Requires: %{name}-noX = %{version}-%{release}
Requires: %{name}-qt = %{version}-%{release}
Conflicts: %{conflicts}

%description
VLC media player is a highly portable multimedia player for various 
audio and video formats (MPEG-1, MPEG-2, MPEG-4, DivX, mp3, ogg, ...) 
as well as DVDs, VCDs, and various streaming protocols. 
It can also be used as a server to stream in unicast or multicast 
in IPv4 or IPv6 on a high-bandwidth network.

%package devel
Summary: VLC Development system
Group: Development/Libraries/C and C++
Requires: %{name} = %{version}

%description devel
Those development headers are required if you plan on coding against VLC

%package -n libvlc%{libvlc}
Summary: Shared library libvlc
Group: System/Libraries

%description -n libvlc%{libvlc}
Shared library libvlc. To be installed by system dependencies

%package -n libvlccore%{libvlccore}
Summary: Shared library libvlc
Group: System/Libraries

%description -n libvlccore%{libvlccore}
Shared library libvlc. To be installed by system dependencies

%package noX
Summary: VLC: VideoLAN Client - without X dependencies
Group: Productivity/Multimedia/Video/Players
Requires: libvlccore%{libvlccore} = %{version}-%{release}
Requires: libvlc%{libvlc} = %{version}-%{release}
Conflicts: %{conflicts}-noX
Recommends: libdvdcss

%description noX
This Package of VLC contains the bare requirements you need to install.
Here is no graphical User Interface included, thus it's also perfectly
suitable for server installations (Streaming Server for example)

Should you decide to install the GUI modules, %{name}-noX will stay
installed as a dependency.

%package qt
Summary: VLC: VideoLAN Client - Qt interface
Group: Productivity/Multimedia/Video/Players
Supplements: packageand(%{name}-noX:libqt4)
Requires: %{name}-noX = %{version}-%{release}
Conflicts: %{conflicts}-qt

%description qt
The all new Qt interface for the VLC VideoLAN Client.

%package gnome
Summary: VLC: VideoLAN Client - Gnome Access Modules
Group: Productivity/Multimedia/Video/Players
Supplements: packageand(%{name}-noX:gnome-vfs2)
Requires: %{name}-noX = %{version}-%{release}
Conflicts: %{conflicts}-gnome

%description gnome
In order to integrate flawless into GNOME, there are some access modules
for gnome-vfs2.

%if %{with_mozilla}
%package mozillaplugin
Summary: The mozilaplugin enables VLC inside Mozilla Browser
Group: Productivity/Multimedia/Video/Players
Requires: %{name}-noX = %{version}-%{release}
Conflicts: %{conflicts}-mozillaplugin

%description mozillaplugin
With this plugin, you enable video content withing the Mozilla Browser Suites
%endif

%if 0%{pulseplugin}
%package aout-pulse
Summary: VLC Audio Out for Pulse Audio
Group: System/Libraries
Requires: %{name} = %{version}-%{release}
Supplements: packageand(%{name}-noX:pulseaudio)
Requires: %{name}-noX = %{version}-%{release}
conflicts: %{conflicts}-aout-pulse

%description aout-pulse
Extends VLC with Pulse Audio Support for Audio Out
%endif

%prep
%setup -q
%patch1 -p1
%patch3 -p1

%build 

./bootstrap
%configure \
   --disable-dependency-tracking        \
   --enable-a52                         \
   --enable-aa                          \
   --enable-alsa                        \
   --enable-asademux                    \
   --enable-cddax                       \
   --enable-cmml                        \
   --enable-dca                         \
   --enable-dvb                         \
   --enable-dvbpsi                      \
   --enable-dvdnav                      \
   --enable-dvdread                     \
   --enable-faad                        \
   --enable-fast-install                \
   --enable-fb                          \
   --enable-flac                        \
   --enable-freetype                    \
   --enable-fribidi                     \
   --enable-glx                         \
   --enable-gnomevfs                    \
   --enable-gnutls                      \
   --enable-httpd                       \
   --enable-jack                        \
   --enable-kate                        \
   --enable-libass                      \
   --enable-libcddb                     \
   --enable-libcdio                     \
   --enable-libmpeg2                    \
%if 0%{suse_version} >= 1120
   --enable-libproxy                    \
%endif
   --enable-lirc                        \
   --enable-live555                     \
   --enable-lua                         \
   --enable-mad                         \
   --enable-mkv                         \
   --enable-mod                         \
%if %{with_mozilla}
   --enable-mozilla                     \
%endif
   --enable-ncurses                     \
   --enable-ogg                         \
   --enable-optimizations               \
   --enable-oss                         \
%if 0%{pulseplugin}
   --enable-pulse                       \
%endif
   --enable-pvr                         \
   --enable-real                        \
   --enable-realrtsp                    \
   --enable-release                     \
   --enable-smb                         \
   --enable-sout                        \
   --enable-speex                       \
   --enable-taglib                      \
   --enable-theora                      \
   --enable-v4l                         \
   --enable-v4l2                        \
   --enable-vcd                         \
   --enable-vcdx                        \
   --enable-visual                      \
   --enable-vorbis                      \
   --enable-waveout                     \
   --enable-xvideo                      \
   --with-live555-tree=%{_libdir}/live  \

%{__make} %{?jobs:-j %jobs}

%install
%makeinstall
mkdir -p %{buildroot}/%{_datadir}/pixmaps
ln -s %{_datadir}/icons/hicolor/48x48/apps/vlc.png %{buildroot}/%{_datadir}/pixmaps/vlc.png
%if %{with_mozilla}
mkdir -p %{buildroot}/%{_libdir}/browser-plugins
mv %{buildroot}%{_libdir}/mozilla/plugins/libvlc* %{buildroot}/%{_libdir}/browser-plugins
%endif
find %{buildroot} -name *.la -delete
%suse_update_desktop_file vlc AudioPlayer VideoPlayer Player
%fdupes %{buildroot}%{_datadir}/vlc
%find_lang vlc

%clean
rm -rf "$RPM_BUILD_ROOT"

%files 
%defattr(-,root,root)
%{_bindir}/svlc
%{_datadir}/applications/vlc.desktop
%{_datadir}/pixmaps/vlc.png
%{_datadir}/icons/hicolor/*/apps/vlc*
%{_datadir}/kde4/apps/solid
%{_libdir}/vlc/plugins/codec/liblibass_plugin.so
%{_libdir}/vlc/plugins/gui/libskins2_plugin.so
%{_libdir}/vlc/plugins//misc/libnotify_plugin.so
%{_libdir}/vlc/plugins//video_filter/libremoteosd_plugin.so
%{_libdir}/vlc/plugins/misc/libfreetype_plugin.so
%if 0%{withxcb}
%{_libdir}/vlc/plugins/video_filter/libpanoramix_plugin.so
%endif
%{_libdir}/vlc/plugins/video_output/libaa_plugin.so
%{_libdir}/vlc/plugins/video_output/libxcb_glx_plugin.so

%files noX -f vlc.lang
%defattr(-,root,root)
%doc %{_datadir}/doc/vlc/
%doc NEWS AUTHORS COPYING HACKING THANKS README 
%{_bindir}/cvlc
%{_bindir}/nvlc
%{_bindir}/rvlc
%{_bindir}/vlc
%{_bindir}/vlc-wrapper
%{_datadir}/vlc/
%dir %{_datadir}/locale/co
%dir %{_datadir}/locale/co/LC_MESSAGES
%dir %{_datadir}/locale/tet
%dir %{_datadir}/locale/tet/LC_MESSAGES
%{_mandir}/*/vlc*
%{_libdir}/vlc
# exclude the pulse audio output module from here. Seperate package
%if 0%{pulseplugin}
%exclude %{_libdir}/vlc/plugins/audio_output/libpulse_plugin.so
%endif
#exclude the Qt modules from here. Seperate package
%exclude %{_libdir}/vlc/plugins/gui/libqt4_plugin.so
# Exclude the shared libraries
%exclude %{_libdir}/libvlc.so.*
%exclude %{_libdir}/libvlccore.so.*
# Exclude all Files that should go to the X-Dependent package
%exclude %{_libdir}/vlc/plugins/codec/liblibass_plugin.so
%exclude %{_libdir}/vlc/plugins/gui/libskins2_plugin.so
%exclude %{_libdir}/vlc/plugins/misc/libnotify_plugin.so
%exclude %{_libdir}/vlc/plugins/video_filter/libremoteosd_plugin.so
%exclude %{_libdir}/vlc/plugins/misc/libfreetype_plugin.so
%if 0%{withxcb} 
%exclude %{_libdir}/vlc/plugins/video_filter/libpanoramix_plugin.so
%endif
%exclude %{_libdir}/vlc/plugins/video_output/libaa_plugin.so
%exclude %{_libdir}/vlc/plugins/video_output/libxcb_glx_plugin.so
%exclude %{_libdir}/vlc/plugins/access/libaccess_gnomevfs_plugin.so

%files -n libvlc%{libvlc}
%defattr(-,root,root)
%{_libdir}/libvlc.so.%{libvlc}*

%files -n libvlccore%{libvlccore}
%defattr(-,root,root)
%{_libdir}/libvlccore.so.%{libvlccore}*

%files qt
%defattr(-,root,root)
%{_bindir}/qvlc
%{_libdir}/vlc/plugins/gui/libqt4_plugin.so

%files gnome
%defattr(-,root,root)
%{_libdir}/vlc/plugins/access/libaccess_gnomevfs_plugin.so

%files devel
%defattr(-,root,root)
%{_includedir}/vlc/
%{_libdir}/libvlccore.so
%{_libdir}/libvlc.so
%{_libdir}/pkgconfig/libvlc.pc
%{_libdir}/pkgconfig/vlc-plugin.pc
#%{_bindir}/vlc-config

%if 0%{pulseplugin}
%files aout-pulse
%defattr(-,root,root)
%{_libdir}/vlc/plugins/audio_output/libpulse_plugin.so
%endif

%post -n %{name}-noX -p /sbin/ldconfig
%postun -n %{name}-noX -p /sbin/ldconfig

%post -n libvlc%{libvlc} -p /sbin/ldconfig
%postun -n libvlc%{libvlc} -p /sbin/ldconfig

%post -n libvlccore%{libvlccore} -p /sbin/ldconfig
%postun -n libvlccore%{libvlccore} -p /sbin/ldconfig

%if %{with_mozilla}
%files mozillaplugin
%defattr(-,root,root)
%{_libdir}/browser-plugins/libvlcplugin.so
%endif

%changelog
* Tue Aug  3 2010 dominique-vlc.suse@leuenberger.net
- BuildRequire libmatroska-devel instead of libmatroska.
* Sat Jul  3 2010 dominique-vlc.suse@leuenberger.net
- Add lirc-devel to BuildRequires to actually build the lirc
  interface. Thanks to Rob Verduijn for reporting this error.
* Wed Jun  9 2010 dominique-vlc.suse@leuenberger.net
- BuildRequires libva-devel on openSUSE 11.2+
* Thu May 13 2010 dominique-vlc.suse@leuenberger.net
- Add additionala BuildDependencies to have more complete feature
  set:
  +  avahi-devel, fluidsynth-devel, libavc1394-devel,
    libmodplug-devel, libmtp-devel, libraw1394-devel,
    librsvg-devel, libshout-devel, libudev-devel, libv4l-devel,
    libxml2-devel, pcre-devel, portaudio-devel, schroedinger-devel
    and zvbi-devel .
* Thu Apr 22 2010 dominique-vlc.suse@leuenberger.net
- Use mozilla-xulrunner192 on openSUSE 11.3.
* Thu Sep  3 2009 dominique-vlc.suse@leuenberger.net
- Properly conflict all the sub-packages from vlc stable release.
* Thu Aug 20 2009 dominique-vlc.suse@leuenberger.net
- Removed x11 and xvideo output modules.
* Mon Aug 10 2009 dominique-vlc.suse@leuenberger.net
- Remove --enable-caca. It's now properly auto-detected.
* Fri Aug  7 2009 dominique-vlc.suse@leuenberger.net
- Add support for flac and speex.
* Thu Jun 18 2009 dominique-vlc.suse@leuenberger.net
- Disable XCB on all openSUSE < 11.2
